Skip to main content

Hourly Analytics

Get hour-by-hour time series analytics (up to 7 days).

GET
/analytics/hourly
x-api-key<token>

API key used for authentication

In: header

Query Parameters

days?integer

Number of days to look back (1-7, default 1)

Default1
Range1 <= value <= 7
startDate?string

Start date (ISO 8601)

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
endDate?string

End date (ISO 8601)

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
timezone?string

IANA timezone (e.g. America/New_York)

Default"UTC"
platform?string

Filter by platform (e.g. twitch, youtube)

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/analytics/hourly"
{
  "hourly": [
    {
      "hourIso": "2024-01-15T14:00:00Z",
      "hourLabel": "14:00",
      "amountsByCurrency": {
        "usd": 2000
      },
      "donationCount": 2,
      "liveMinutes": 60,
      "liveMinutesByPlatform": {
        "twitch": 60
      },
      "sessions": 1,
      "followerCounts": {
        "twitch": 1000
      },
      "maxViewerCount": 45
    }
  ]
}
{
  "error": "string",
  "code": "string",
  "details": {}
}